Bug 72 - Generic Consumable Resources Do Not Work
: Generic Consumable Resources Do Not Work
Status: RESOLVED FIXED
Product: TORQUE
pbs_server
: 2.4.x
: PC Linux
: P5 normal
Assigned To: Al Taufer
:
:
:
  Show dependency treegraph
 
Reported: 2010-07-20 18:09 MDT by Michael Jennings
Modified: 2011-07-26 17:12 MDT (History)
2 users (show)

See Also:


Attachments
Patch to fix gres handling in pbsnodes/qsub (4.44 KB, patch)
2010-07-21 15:23 MDT, Michael Jennings
Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description Michael Jennings 2010-07-20 18:09:37 MDT
According to
http://www.clusterresources.com/products/torque/docs/a.cmomconfig.shtml#gres I
should be able to do the following:

In /var/spool/torque/mom_priv/config on a node:
  $pbsserver foo
  $pbsclient foo
  $restricted foo
  $logevent 255
  $usecp *:/home /home
  $usecp *:/clusterfs/foo  /clusterfs/foo
  $ideal_load 7.75
  $max_load 8.00

  nfs_bw 1

Now this should be a consumable resource for that node according to the
above-cited documentation.  However, it does not appear in the pbsnodes output:
  n0010
     state = free
     np = 8
     properties = dualcore,photo,nfs
     ntype = cluster
     status = opsys=linux,uname=Linux n0010 2.6.18-164.6.1.el5 #1 SMP Tue Nov 3
16:12:36 EST 2009 x86_64,sessions=? 0,nsessions=?
0,nusers=0,idletime=1824534,totmem=47686480kb,availmem=47598168kb,physmem=16432032kb,ncpus=8,loadave=0.00,netload=232754533,state=free,jobs=,varattr=,rectime=1279670918

Nor can I request it using qsub:

$ qsub -I -l nodes=1:ppn=1:software=nfs_bw -q batch
qsub: Job exceeds queue resource limits MSG=cannot locate feasible nodes
Comment 1 Al Taufer 2010-07-21 10:39:37 MDT
There was a fix made on May 3 that corrected the consumable resource so that it
shows up in pbsnodes. It is available in any of the 2.4.9 snapshots dated later
than May 3. Can you please try a later 2.4.9 snapshot and let us know if it
works okay for you.

This fix probably also corrected the qsub issue since I can issue "qsub -I -l
software=nfs_bw -q batch" and it works just fine.
Comment 2 Michael Jennings 2010-07-21 15:23:56 MDT
Created an attachment (id=42) [details]
Patch to fix gres handling in pbsnodes/qsub

This is the patch pulled from SVN changeset 3603 by Al Taufer
Comment 3 Michael Jennings 2010-08-06 17:44:11 MDT
2.4.9 does seem to fix both the qsub and the pbsnodes issues.  I've yet to have
it actually execute the job, but I'm testing that now.  So far, so good though.
 Thanks, Al!
Comment 4 Al Taufer 2011-07-26 17:12:21 MDT
I am marking this bug as resolved since I have not heard anything informing me
that there is still a problem.  If there still is, please let us know and we
can reopen the issue.